Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Meetings

New webhooks to convert meetings into webinars

API release

Summary:New webhooks to convert meetings into webinars and vice versa; new alternative-host and waiting-room options related fields in Meetings and Webinars APIs.

Added

  • New Meetings webhook event:
    • meeting.converted_to_webinar
  • New Webinars webhook event:
    • webinar.converted_to_meeting

Changed

  • New alternative_host_manage_meeting_summary, alternative_host_manage_cloud_recording, auto_add_recording_to_video_management, and waiting_room_options request fields in these Meetings APIs:
    • PATCH /v2/meetings/{meetingId}
    • PATCH /v2/accounts/{accountId}/meetings/{meetingId}
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
  • New alternative_host_manage_meeting_summary, alternative_host_manage_cloud_recording, auto_add_recording_to_video_management, and waiting_room_options response fields in these Meetings APIs:
    • GET /v2/meetings/{meetingId}
    • GET /v2/accounts/{accountId}/meetings/{meetingId}
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
  • New channel_id field in this Meetings webhook event:
    • meeting.updated